Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo
Class PojoCacheAlreadyDetachedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.cache.pojo.PojoCacheException
                      org.jboss.cache.pojo.PojoCacheAlreadyDetachedException

All Implemented Interfaces:
  Serializable

    public class PojoCacheAlreadyDetachedException

extends PojoCacheException

Thrown when the POJO has already detached from the cache store by the remote side, but user is still trying to access it via the cache interceptor.

Version:
  $Id: PojoCacheAlreadyDetachedException.java 7070 2008-11-04 00:37:28Z jason.greene@jboss.com $
Author:
  Ben Wang
See Also:
  Serialized Form

Constructor Summary
`PojoCacheAlreadyDetachedException()`
`PojoCacheAlreadyDetachedException(String err)`
`PojoCacheAlreadyDetachedException(String err, Throwable e)`
`PojoCacheAlreadyDetachedException(Throwable e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PojoCacheAlreadyDetachedException

    public PojoCacheAlreadyDetachedException()

### PojoCacheAlreadyDetachedException

    public PojoCacheAlreadyDetachedException(String err,
                                             Throwable e)

### PojoCacheAlreadyDetachedException

    public PojoCacheAlreadyDetachedException(String err)

### PojoCacheAlreadyDetachedException

    public PojoCacheAlreadyDetachedException(Throwable e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.